sc::KeyValValueString(3)

NAME
sc::KeyValValueString -

SYNOPSIS

Inherits sc::KeyValValue'.

  Public Types
enum Storage { Copy, Steal, Use }

  Public Member Functions
KeyValValueString (const char *, KeyValValueString::Storage s=KeyValValueString::Use)
KeyValValueString (char *, KeyValValueString::Storage s=KeyValValueString::Use)
KeyValValueString (const KeyValValueString &)
KeyValValue::KeyValValueError doublevalue (double &) const
KeyValValue::KeyValValueError booleanvalue (int &) const
KeyValValue::KeyValValueError floatvalue (float &) const
KeyValValue::KeyValValueError charvalue (char &) const
KeyValValue::KeyValValueError intvalue (int &) const
KeyValValue::KeyValValueError sizevalue (size_t &) const
KeyValValue::KeyValValueError pcharvalue (const char *&) const
KeyValValue::KeyValValueError stringvalue (std::string &) const
void print (std::ostream &o=ExEnv::out0()) const

Author

Generated automatically by Doxygen for MPQC from the source code'.